APITag
Set QR code tags
Replaces all tags assigned to a QR code with the provided list of tag IDs. Pass an empty array to remove all tags. Returns the updated list of tags.
Authorization
bearerAuth AuthorizationBearer <token>
Authenticate with a Bearer token. Pass your API key in the Authorization header: Authorization: Bearer <your-api-key>
In: header
Path Parameters
id*string
QR code UUID to assign tags to
Format
uuidRequest Body
application/json
tagIds*array<>
Array of tag UUIDs to assign. Pass an empty array to remove all tags.
Default
[][key: string]?never
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://api.qrcodly.de/api/v1/tag/qr-code/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "tagIds": [] }'[
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"name": "string",
"color": "string",
"createdBy": "string",
"qrCodeCount": 0
}
]{
"message": "string",
"code": 0
}{
"message": "string",
"code": 0
}{
"message": "string",
"code": 0
}{
"message": "string",
"code": 0
}{
"message": "string",
"code": 0
}